CVE-2020-15709

Published: 03 August 2020

Versions of add-apt-repository before 0.98.9.2, 0.96.24.32.14, 0.96.20.10, and 0.92.37.8ubuntu0.1~esm1, printed a PPA (personal package archive) description to the terminal as-is, which allowed PPA owners to provide ANSI terminal escapes to modify terminal contents in unexpected ways.

Priority

Medium

CVSS 3 base score: 5.5

Status

Package Release Status
software-properties
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 20.10 (Groovy Gorilla)
Released (0.99.3)
Ubuntu 20.04 LTS (Focal Fossa)
Released (0.98.9.2)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (0.96.24.32.14)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (0.96.20.10)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (0.92.37.8ubuntu0.1~esm1)